import matplotlib.pyplot as plt
numargs = genpareto.numargs
[ c ] = [0.9,] * numargs
rv = genpareto(c)

# Display frozen pdf

x = np.linspace(0, np.minimum(rv.dist.b, 3))
h = plt.plot(x, rv.pdf(x))

# Check accuracy of cdf and ppf

prb = genpareto.cdf(x, c)
h = plt.semilogy(np.abs(x - genpareto.ppf(prb, c)) + 1e-20)

# Random number generation

R = genpareto.rvs(c, size=100)
